# TODO:
# - include examples in package
#
Summary:	Python tool that checks if a module satisfy a coding standard
Summary(pl.UTF-8):	Pythonowe narzędzie sprawdzające zgodność modułu ze standardem kodowania
Name:		pylint
Version:	0.25.1
Release:	1
License:	GPL
Group:		Development/Languages/Python
Source0:	ftp://ftp.logilab.fr/pub/pylint/%{name}-%{version}.tar.gz
# Source0-md5:	44270f052bd10c9ad735f509f79717f2
Patch0:		%{name}-type_error.patch
URL:		http://www.logilab.org/project/pylint
BuildRequires:	python-devel
BuildRequires:	python-modules >= 2.2.1
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
Requires:	python-logilab-astng >= 0.21.0
Requires:	python-logilab-common >= 0.53.0
Suggests:	python-devel-src
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python tool that checks if a module satisfy a coding standard.

%description -l pl.UTF-8
Narzędzie sprawdzające zgodność modułów napisanych w języku Python
z regułami tworzenia kodu źródłowego.

%package gui
Summary:	GUI for pylint
Summary(pl.UTF-8):	Graficzny interfejs użytkownika dla pylinta
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-tkinter

%description gui
Tk based GUI for pylint.

%description gui -l pl.UTF-8
Oparty na bibliotece Tk graficzny interfejs użytkownika dla pylinta.

%prep
%setup -q

%patch0 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_mandir}/man1}

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

install man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install examples/pylintrc $RPM_BUILD_ROOT%{_sysconfdir}/pylintrc

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README examples/* doc/*.txt
%attr(755,root,root) %{_bindir}/epylint
%attr(755,root,root) %{_bindir}/pylint
%attr(755,root,root) %{_bindir}/pyreverse
%attr(755,root,root) %{_bindir}/symilar
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pylintrc
%{py_sitescriptdir}/*
%{_mandir}/man1/*

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pylint-gui
%changelog
* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d354537
- up to 0.25.1

* Sat Sep 03 2011 Jacek Konieczny <jajcus@pld-linux.org> 8b70ac8
- workaround for the http://www.logilab.org/ticket/74087 bug

* Sat Sep 03 2011 Jacek Konieczny <jajcus@pld-linux.org> f5425a3
- Version: 0.24.0
- relative_import_from patch dropped (applied upstream)

* Fri Jul 08 2011 Jacek Konieczny <jajcus@pld-linux.org> cc62d27
- patch to fix 'variables' checker which relied on broken logilab-astng import handling
- Release: 2

* Mon Dec 27 2010 Patryk Zawadzki <patrys@room-303.com> 87946be
- 0.22.0

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 47d4571
- release 2

* Thu Jun 10 2010 Jacek Konieczny <jajcus@pld-linux.org> 7e0da29
- Version: 0.21.1

* Thu May 13 2010 Mateusz Korniak <matkor@pld-linux.org> 6cc8721
- Version 0.21.0-1.

* Thu Mar 11 2010 Artur Frysiak <artur@frysiak.net> bce5cba
- 0.19.0

* Sun Oct 11 2009 Artur Frysiak <artur@frysiak.net> 79a8604
- updated to 0.18.1

* Fri Aug 21 2009 Patryk Zawadzki <patrys@room-303.com> 41255fe
- require new astng

* Fri Aug 21 2009 Patryk Zawadzki <patrys@room-303.com> ebaa5e6
- 0.18.0

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 686130c
- release 2

* Tue Jun 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b2624a4
- update url

* Wed Apr 09 2008 ankry <ankry@pld-linux.org> 93850ad
- tab

* Wed Apr 02 2008 witekfl <witekfl@pld-linux.org> e76d361
- added Suggests: python-devel-src

* Wed Apr 02 2008 witekfl <witekfl@pld-linux.org> 189f777
- up to 0.14.0

* Sat Jun 30 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 41522bb
- up to 0.13.2

* Fri Mar 02 2007 wrobell <wrobell@pld-linux.org> cafcdd9
- ver. 0.13.1

* Thu Mar 01 2007 wrobell <wrobell@pld-linux.org> 17ad7ff
- ver. 0.13.0

